package com.castlabs.sdk.adobe_demo;

import androidx.multidex.MultiDexApplication;

import com.castlabs.android.PlayerSDK;
import com.castlabs.demoutils.ActivityInsetManager;
import com.castlabs.sdk.adobe.AdobePlugin;

public class DemoApp extends MultiDexApplication {

	@Override
	public void onCreate() {
		super.onCreate();
		registerActivityLifecycleCallbacks(new ActivityInsetManager());
		PlayerSDK.register(new AdobePlugin(true));

		// Initialize the SDK with all registered plugins
		PlayerSDK.init(getApplicationContext());
	}
}
